Index: tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-cube.at
===================================================================
--- tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-cube.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-cube.at	(revision 599b3232e65ac3b245869d9dd63c45d7e8f162f4)
@@ -24,19 +24,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder \
-	-i $file \
-	-l water.xyz \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "cube1" \
-		--shape-type "cube" \
-		--translation "10,10,10" \
-		--stretch "5.,5.,5." \
-	--select-shape-by-name "cube1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,-1"
+AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cube1" 		--shape-type "cube" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "cube1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1"
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
@@ -51,20 +37,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder \
-	-i $file \
-	-l water.xyz \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "cube1" \
-		--shape-type "cube" \
-		--translation "10,10,10" \
-		--stretch "5.,5.,5." \
-	--select-shape-by-name "cube1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,-1" \
-	--undo
+AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cube1" 		--shape-type "cube" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "cube1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
@@ -79,21 +50,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder \
-	-i $file \
-	-l water.xyz \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "cube1" \
-		--shape-type "cube" \
-		--translation "10,10,10" \
-		--stretch "5.,5.,5." \
-	--select-shape-by-name "cube1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,-1" \
-	--undo \
-	--redo
+AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cube1" 		--shape-type "cube" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "cube1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo 	--redo
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
Index: tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-cylinder.at
===================================================================
--- tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-cylinder.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-cylinder.at	(revision 599b3232e65ac3b245869d9dd63c45d7e8f162f4)
@@ -24,19 +24,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder \
-	-i $file \
-	-l water.xyz \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "cylinder1" \
-		--shape-type "cylinder" \
-		--translation "10,10,0." \
-		--stretch "5.,5.,20." \
-	--select-shape-by-name "cylinder1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,-1"
+AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cylinder1" 		--shape-type "cylinder" 		--translation "10,10,0." 		--stretch "5.,5.,20." 	--select-shape-by-name "cylinder1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1"
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
@@ -51,20 +37,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder \
-	-i $file \
-	-l water.xyz \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "cylinder1" \
-		--shape-type "cylinder" \
-		--translation "10,10,0." \
-		--stretch "5.,5.,20." \
-	--select-shape-by-name "cylinder1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,-1" \
-	--undo
+AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cylinder1" 		--shape-type "cylinder" 		--translation "10,10,0." 		--stretch "5.,5.,20." 	--select-shape-by-name "cylinder1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
@@ -79,21 +50,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder \
-	-i $file \
-	-l water.xyz \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "cylinder1" \
-		--shape-type "cylinder" \
-		--translation "10,10,0." \
-		--stretch "5.,5.,20." \
-	--select-shape-by-name "cylinder1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,-1" \
-	--undo \
-	--redo
+AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cylinder1" 		--shape-type "cylinder" 		--translation "10,10,0." 		--stretch "5.,5.,20." 	--select-shape-by-name "cylinder1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo 	--redo
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
Index: tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-everywhere.at
===================================================================
--- tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-everywhere.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-everywhere.at	(revision 599b3232e65ac3b245869d9dd63c45d7e8f162f4)
@@ -24,19 +24,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder \
-	-i $file \
-	-l water.xyz \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "everywhere1" \
-		--shape-type "everywhere" \
-		--translation "0,0,0" \
-		--stretch "20.,20.,20." \
-	--select-shape-by-name "everywhere1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,1"
+AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "everywhere1" 		--shape-type "everywhere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "everywhere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1"
 ], 5, [stdout], [stderr])
 #AT_CHECK([grep "20 out of 20 returned true from predicate" stdout], 0, [ignore], [ignore])
Index: tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-micelle.at
===================================================================
--- tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-micelle.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-micelle.at	(revision 599b3232e65ac3b245869d9dd63c45d7e8f162f4)
@@ -25,19 +25,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/tensid.potentials .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder \
-	--parse-tremolo-potentials tensid.potentials \
-	-i $file \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "sphere1" \
-		--shape-type "sphere" \
-		--translation "0,0,0" \
-		--stretch "20.,20.,20." \
-	--select-shape-by-name "sphere1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,1"
+AT_CHECK([../../molecuilder 	--parse-tremolo-potentials tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1"
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/tensid.data], 0, [ignore], [ignore])
@@ -53,20 +39,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/tensid.potentials .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder \
-	--parse-tremolo-potentials tensid.potentials \
-	-i $file \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "sphere1" \
-		--shape-type "sphere" \
-		--translation "0,0,0" \
-		--stretch "20.,20.,20." \
-	--select-shape-by-name "sphere1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,1" \
-	--undo
+AT_CHECK([../../molecuilder 	--parse-tremolo-potentials tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1" 	--undo
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
@@ -82,21 +53,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/tensid.potentials .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder \
-	--parse-tremolo-potentials tensid.potentials \
-	-i $file \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "sphere1" \
-		--shape-type "sphere" \
-		--translation "0,0,0" \
-		--stretch "20.,20.,20." \
-	--select-shape-by-name "sphere1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,1" \
-	--undo \
-	--redo
+AT_CHECK([../../molecuilder 	--parse-tremolo-potentials tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1" 	--undo 	--redo
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/tensid.data], 0, [ignore], [ignore])
Index: tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-nowhere.at
===================================================================
--- tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-nowhere.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-nowhere.at	(revision 599b3232e65ac3b245869d9dd63c45d7e8f162f4)
@@ -24,19 +24,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder \
-	-i $file \
-	-l water.xyz \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "nowhere1" \
-		--shape-type "nowhere" \
-		--translation "0,0,0" \
-		--stretch "20.,20.,20." \
-	--select-shape-by-name "nowhere1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,1"
+AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "nowhere1" 		--shape-type "nowhere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "nowhere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1"
 ], 5, [stdout], [stderr])
 #AT_CHECK([grep "20 out of 20 returned true from predicate" stdout], 0, [ignore], [ignore])
Index: tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-sphere.at
===================================================================
--- tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-sphere.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-sphere.at	(revision 599b3232e65ac3b245869d9dd63c45d7e8f162f4)
@@ -24,19 +24,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder \
-	-i $file \
-	-l water.xyz \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "sphere1" \
-		--shape-type "sphere" \
-		--translation "10,10,10" \
-		--stretch "5.,5.,5." \
-	--select-shape-by-name "sphere1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,-1"
+AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1"
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
@@ -51,20 +37,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder \
-	-i $file \
-	-l water.xyz \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "sphere1" \
-		--shape-type "sphere" \
-		--translation "10,10,10" \
-		--stretch "5.,5.,5." \
-	--select-shape-by-name "sphere1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,-1" \
-	--undo
+AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
@@ -79,21 +50,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder \
-	-i $file \
-	-l water.xyz \
-	--select-all-molecules \
-	--rotate-to-principal-axis-system "0,0,-1" \
-	--create-shape \
-		--shape-name "sphere1" \
-		--shape-type "sphere" \
-		--translation "10,10,10" \
-		--stretch "5.,5.,5." \
-	--select-shape-by-name "sphere1" \
-	--fill-surface \
-		--count 20 \
-		--min-distance 3.1 \
-		--Alignment-Axis "0,0,-1" \
-	--undo \
-	--redo
+AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo 	--redo
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])