Index: src/UIElements/Makefile.am
===================================================================
--- src/UIElements/Makefile.am	(revision 8a2398e4bbc176ab66006af20bb8066935102a76)
+++ src/UIElements/Makefile.am	(revision 622f7131c3ffba609dd348120c40c434dd6413e1)
@@ -193,4 +193,5 @@
   UIElements/Views/Qt4/QtInfoBox.cpp \
   UIElements/Views/Qt4/QtLogBox.cpp \
+  UIElements/Views/Qt4/QtNumericalItem.cpp \
   UIElements/Views/Qt4/QtShapeController.cpp \
   UIElements/Views/Qt4/QtShapeList.cpp \
@@ -227,4 +228,5 @@
   UIElements/Views/Qt4/QtInfoBox.hpp \
   UIElements/Views/Qt4/QtLogBox.hpp \
+  UIElements/Views/Qt4/QtNumericalItem.hpp \
   UIElements/Views/Qt4/QtShapeController.hpp \
   UIElements/Views/Qt4/QtShapeList.hpp \
Index: src/UIElements/Views/Qt4/QtFragmentList.cpp
===================================================================
--- src/UIElements/Views/Qt4/QtFragmentList.cpp	(revision 8a2398e4bbc176ab66006af20bb8066935102a76)
+++ src/UIElements/Views/Qt4/QtFragmentList.cpp	(revision 622f7131c3ffba609dd348120c40c434dd6413e1)
@@ -34,4 +34,5 @@
 
 #include "Views/Qt4/QtFragmentList.hpp"
+#include "Views/Qt4/QtNumericalItem.hpp"
 
 #include <iterator>
@@ -67,5 +68,5 @@
 	  header << COLUMNNAMES[i];
 	setHeaderLabels(header);
-	sortByColumn(0);
+	sortByColumn(0, Qt::AscendingOrder);
 
 	setSelectionMode( MultiSelection );
@@ -122,5 +123,5 @@
       ++keyiter,++resultiter,++count) {
 
-    QTreeWidgetItem *treeItem = new QTreeWidgetItem(this);
+    QTreeWidgetItem *treeItem = new QtNumericalItem(this);
     treeItem->setText(NUMBER, QString::number(count));
     {
Index: src/UIElements/Views/Qt4/QtNumericalItem.cpp
===================================================================
--- src/UIElements/Views/Qt4/QtNumericalItem.cpp	(revision 622f7131c3ffba609dd348120c40c434dd6413e1)
+++ src/UIElements/Views/Qt4/QtNumericalItem.cpp	(revision 622f7131c3ffba609dd348120c40c434dd6413e1)
@@ -0,0 +1,50 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2016 Frederik Heber. All rights reserved.
+ *
+ *
+ *   This file is part of MoleCuilder.
+ *
+ *    MoleCuilder is free software: you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation, either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    MoleCuilder is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+/*
+ * QtNumericalItem.cpp
+ *
+ *  Created on: Sep 1, 2016
+ *      Author: heber
+ */
+
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "QtNumericalItem.hpp"
+
+#include <QTreeWidget>
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include <boost/lexical_cast.hpp>
+
+bool QtNumericalItem::operator<(const QTreeWidgetItem &_item) const {
+  const int col = treeWidget()->sortColumn();
+  const int mynr = boost::lexical_cast<int>(QTreeWidgetItem::text(col).toStdString());
+  const int othernr = boost::lexical_cast<int>(_item.text(col).toStdString());
+  return mynr < othernr;
+}
+
Index: src/UIElements/Views/Qt4/QtNumericalItem.hpp
===================================================================
--- src/UIElements/Views/Qt4/QtNumericalItem.hpp	(revision 622f7131c3ffba609dd348120c40c434dd6413e1)
+++ src/UIElements/Views/Qt4/QtNumericalItem.hpp	(revision 622f7131c3ffba609dd348120c40c434dd6413e1)
@@ -0,0 +1,31 @@
+/*
+ * QtNumericalItem.hpp
+ *
+ *  Created on: Sep 1, 2016
+ *      Author: heber
+ */
+
+
+#ifndef UIELEMENTS_VIEWS_QT4_QTNUMERICALITEM_HPP_
+#define UIELEMENTS_VIEWS_QT4_QTNUMERICALITEM_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include <QTreeWidgetItem>
+
+class QTreeWidget;
+
+class QtNumericalItem : public QTreeWidgetItem
+{
+public:
+  QtNumericalItem(QTreeWidget *parent = 0) :
+    QTreeWidgetItem(parent)
+  {}
+
+  bool operator<(const QTreeWidgetItem &_item) const;
+};
+
+#endif /* UIELEMENTS_VIEWS_QT4_QTNUMERICALITEM_HPP_ */