Index: src/Actions/TesselationAction/ConvexEnvelopeAction.cpp
===================================================================
--- src/Actions/TesselationAction/ConvexEnvelopeAction.cpp	(revision 3b7dfb2ecf62a955b44dcc1485337e8a43d366bf)
+++ src/Actions/TesselationAction/ConvexEnvelopeAction.cpp	(revision 628b52952e0e149c79ef35a9bb2f6642e2d6e984)
@@ -9,4 +9,12 @@
 
 #include "Actions/TesselationAction/ConvexEnvelopeAction.hpp"
+#include "Actions/ActionCalls.hpp"
+#include "boundary.hpp"
+#include "config.hpp"
+#include "linkedcell.hpp"
+#include "log.hpp"
+#include "molecule.hpp"
+#include "verbose.hpp"
+#include "World.hpp"
 
 #include <iostream>
@@ -18,12 +26,4 @@
 #include "UIElements/Dialog.hpp"
 #include "UIElements/ValueStorage.hpp"
-
-#include "boundary.hpp"
-#include "config.hpp"
-#include "linkedcell.hpp"
-#include "log.hpp"
-#include "molecule.hpp"
-#include "verbose.hpp"
-#include "World.hpp"
 
 /****** TesselationConvexEnvelopeAction *****/
@@ -49,4 +49,10 @@
 TesselationConvexEnvelopeAction::~TesselationConvexEnvelopeAction()
 {}
+
+void TesselationConvexEnvelope(std::string &filenameConvex, std::string &filenameNonConvex) {
+  ValueStorage::getInstance().setCurrentValue("convex-file", filenameConvex);
+  ValueStorage::getInstance().setCurrentValue("nonconvex-file", filenameConvex);
+  ActionRegistry::getInstance().getActionByName(TesselationConvexEnvelopeAction::NAME)->call(Action::NonInteractive);
+};
 
 Dialog* TesselationConvexEnvelopeAction::createDialog() {
Index: src/Actions/TesselationAction/ConvexEnvelopeAction.hpp
===================================================================
--- src/Actions/TesselationAction/ConvexEnvelopeAction.hpp	(revision 3b7dfb2ecf62a955b44dcc1485337e8a43d366bf)
+++ src/Actions/TesselationAction/ConvexEnvelopeAction.hpp	(revision 628b52952e0e149c79ef35a9bb2f6642e2d6e984)
@@ -15,4 +15,6 @@
 
 class TesselationConvexEnvelopeAction : public Action {
+  friend void TesselationConvexEnvelope(std::string &filenameConvex, std::string &filenameNonConvex);
+
 public:
   TesselationConvexEnvelopeAction();
Index: src/Actions/TesselationAction/NonConvexEnvelopeAction.cpp
===================================================================
--- src/Actions/TesselationAction/NonConvexEnvelopeAction.cpp	(revision 3b7dfb2ecf62a955b44dcc1485337e8a43d366bf)
+++ src/Actions/TesselationAction/NonConvexEnvelopeAction.cpp	(revision 628b52952e0e149c79ef35a9bb2f6642e2d6e984)
@@ -9,4 +9,11 @@
 
 #include "Actions/TesselationAction/NonConvexEnvelopeAction.hpp"
+#include "Actions/ActionCalls.hpp"
+#include "boundary.hpp"
+#include "linkedcell.hpp"
+#include "log.hpp"
+#include "molecule.hpp"
+#include "verbose.hpp"
+#include "World.hpp"
 
 #include <iostream>
@@ -18,11 +25,4 @@
 #include "UIElements/Dialog.hpp"
 #include "UIElements/ValueStorage.hpp"
-
-#include "boundary.hpp"
-#include "linkedcell.hpp"
-#include "log.hpp"
-#include "molecule.hpp"
-#include "verbose.hpp"
-#include "World.hpp"
 
 /****** TesselationNonConvexEnvelopeAction *****/
@@ -48,4 +48,10 @@
 TesselationNonConvexEnvelopeAction::~TesselationNonConvexEnvelopeAction()
 {}
+
+void TesselationNonConvexEnvelope(double radius, std::string &filename) {
+  ValueStorage::getInstance().setCurrentValue(TesselationNonConvexEnvelopeAction::NAME, radius);
+  ValueStorage::getInstance().setCurrentValue("nonconvex-file", filename);
+  ActionRegistry::getInstance().getActionByName(TesselationNonConvexEnvelopeAction::NAME)->call(Action::NonInteractive);
+};
 
 Dialog* TesselationNonConvexEnvelopeAction::createDialog() {
Index: src/Actions/TesselationAction/NonConvexEnvelopeAction.hpp
===================================================================
--- src/Actions/TesselationAction/NonConvexEnvelopeAction.hpp	(revision 3b7dfb2ecf62a955b44dcc1485337e8a43d366bf)
+++ src/Actions/TesselationAction/NonConvexEnvelopeAction.hpp	(revision 628b52952e0e149c79ef35a9bb2f6642e2d6e984)
@@ -15,4 +15,6 @@
 
 class TesselationNonConvexEnvelopeAction : public Action {
+  friend void TesselationNonConvexEnvelope(double radius, std::string &filename);
+
 public:
   TesselationNonConvexEnvelopeAction();