Index: src/Actions/MoleculeAction/BondFileAction.def
===================================================================
--- src/Actions/MoleculeAction/BondFileAction.def	(revision eced82750b08684e216451cb9f7c05cde8e5fc42)
+++ src/Actions/MoleculeAction/BondFileAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -9,8 +9,11 @@
 class MoleculeListClass;
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)(unsigned int)(unsigned int)
+#define paramvalids (DummyValidator< boost::filesystem::path >())(DummyValidator< unsigned int >())(DummyValidator< unsigned int >())
 #define paramtokens ("bond-file")("skiplines")("offset")
 #define paramdescriptions ("name of the bond file")("number of header lines to skip")("offset to add to each id")
Index: src/Actions/MoleculeAction/ChangeNameAction.def
===================================================================
--- src/Actions/MoleculeAction/ChangeNameAction.def	(revision eced82750b08684e216451cb9f7c05cde8e5fc42)
+++ src/Actions/MoleculeAction/ChangeNameAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -9,8 +9,11 @@
 class MoleculeListClass;
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (std::string)
+#define paramvalids (DummyValidator< std::string >())
 #define paramtokens ("change-molname")
 #define paramdescriptions ("new name of molecule")
Index: src/Actions/MoleculeAction/CopyAction.def
===================================================================
--- src/Actions/MoleculeAction/CopyAction.def	(revision eced82750b08684e216451cb9f7c05cde8e5fc42)
+++ src/Actions/MoleculeAction/CopyAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -9,8 +9,11 @@
 #include <vector>
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (Vector)
+#define paramvalids (DummyValidator< Vector >())
 #define paramtokens ("position")
 #define paramdescriptions ("position in R^3 space")
Index: src/Actions/MoleculeAction/FillVoidWithMoleculeAction.def
===================================================================
--- src/Actions/MoleculeAction/FillVoidWithMoleculeAction.def	(revision eced82750b08684e216451cb9f7c05cde8e5fc42)
+++ src/Actions/MoleculeAction/FillVoidWithMoleculeAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -10,8 +10,11 @@
 class MoleculeListClass;
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)(Vector)(double)(double)(double)(double)(bool)
+#define paramvalids (DummyValidator< boost::filesystem::path >())(DummyValidator< Vector >())(DummyValidator< double >())(DummyValidator< double >())(DummyValidator< double >())(DummyValidator< double >())(DummyValidator< bool >())
 #define paramtokens ("fill-void")("distances")("distance-to-molecule")("random-atom-displacement")("random-molecule-displacement")("distance-to-boundary")("DoRotate")
 #define paramdescriptions ("name of xyz file of filler molecule")("list of three of distances in space, one for each axis direction")("minimum distance to present molecules")("magnitude of random atom displacement")("magnitude of random molecule displacement")("minimum distance to boundary")("whether to rotate or not")
Index: src/Actions/MoleculeAction/FillWithMoleculeAction.def
===================================================================
--- src/Actions/MoleculeAction/FillWithMoleculeAction.def	(revision eced82750b08684e216451cb9f7c05cde8e5fc42)
+++ src/Actions/MoleculeAction/FillWithMoleculeAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -11,8 +11,11 @@
 class MoleculeListClass;
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)(Vector)(double)(double)(double)(double)(bool)
+#define paramvalids (DummyValidator< boost::filesystem::path >())(DummyValidator< Vector >())(DummyValidator< double >())(DummyValidator< double >())(DummyValidator< double >())(DummyValidator< double >())(DummyValidator< bool >())
 #define paramtokens ("fill-molecule")("distances")("distance-to-molecule")("random-atom-displacement")("random-molecule-displacement")("MaxDistance")("DoRotate")
 #define paramdescriptions ("name of xyz file of filler molecule")("list of three of distances in space, one for each axis direction")("minimum distance to present molecules")("magnitude of random atom displacement")("magnitude of random molecule displacement")("maximum spatial distance")("whether to rotate or not")
Index: src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.def
===================================================================
--- src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.def	(revision eced82750b08684e216451cb9f7c05cde8e5fc42)
+++ src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -9,8 +9,11 @@
 class MoleculeListClass;
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (unsigned int)(unsigned int)(unsigned int)(bool)
+#define paramvalids (DummyValidator< unsigned int >())(DummyValidator< unsigned int >())(DummyValidator< unsigned int >())(DummyValidator< bool >())
 #define paramtokens ("start-step")("interpolation-steps")("end-step")("id-mapping")
 #define paramdescriptions ("first or start step")("number of steps to interpolate in between start and end step")("last or end step")("whether the identity shall be used in mapping atoms onto atoms or not")
Index: src/Actions/MoleculeAction/LoadAction.def
===================================================================
--- src/Actions/MoleculeAction/LoadAction.def	(revision eced82750b08684e216451cb9f7c05cde8e5fc42)
+++ src/Actions/MoleculeAction/LoadAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -11,8 +11,11 @@
 #include <boost/shared_ptr.hpp>
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)
+#define paramvalids (DummyValidator< boost::filesystem::path >())
 #define paramtokens ("load")
 #define paramdescriptions ("name of molecule file")
Index: src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.def
===================================================================
--- src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.def	(revision eced82750b08684e216451cb9f7c05cde8e5fc42)
+++ src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -10,8 +10,11 @@
 class Vector;
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (double)(Vector)
+#define paramvalids (DummyValidator< double >())(DummyValidator< Vector >())
 #define paramtokens ("rotate-around-self")("axis")
 #define paramdescriptions ("rotation angle in degrees")("direction rotation of rotation axis relative to molecule's center of gravity")
Index: src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.def
===================================================================
--- src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.def	(revision eced82750b08684e216451cb9f7c05cde8e5fc42)
+++ src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -12,8 +12,11 @@
 class MoleculeListClass;
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (Vector)
+#define paramvalids (DummyValidator< Vector >())
 #define paramtokens ("rotate-to-principal-axis-system")
 #define paramdescriptions ("vector to which to align the biggest eigenvector with")
Index: src/Actions/MoleculeAction/SaveAdjacencyAction.def
===================================================================
--- src/Actions/MoleculeAction/SaveAdjacencyAction.def	(revision eced82750b08684e216451cb9f7c05cde8e5fc42)
+++ src/Actions/MoleculeAction/SaveAdjacencyAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -9,8 +9,11 @@
 class MoleculeListClass;
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)
+#define paramvalids (DummyValidator< boost::filesystem::path >())
 #define paramtokens ("save-adjacency")
 #define paramdescriptions ("name of the adjacency file to write to")
Index: src/Actions/MoleculeAction/SaveBondsAction.def
===================================================================
--- src/Actions/MoleculeAction/SaveBondsAction.def	(revision eced82750b08684e216451cb9f7c05cde8e5fc42)
+++ src/Actions/MoleculeAction/SaveBondsAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -9,8 +9,11 @@
 class MoleculeListClass;
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)
+#define paramvalids (DummyValidator< boost::filesystem::path >())
 #define paramtokens ("save-bonds")
 #define paramdescriptions ("name of the bonds file to write to")
Index: src/Actions/MoleculeAction/SaveSelectedMoleculesAction.def
===================================================================
--- src/Actions/MoleculeAction/SaveSelectedMoleculesAction.def	(revision eced82750b08684e216451cb9f7c05cde8e5fc42)
+++ src/Actions/MoleculeAction/SaveSelectedMoleculesAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -9,8 +9,11 @@
 
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)
+#define paramvalids (DummyValidator< boost::filesystem::path >())
 #define paramtokens ("save-selected-molecules")
 #define paramdescriptions ("file name of file")
Index: src/Actions/MoleculeAction/SaveTemperatureAction.def
===================================================================
--- src/Actions/MoleculeAction/SaveTemperatureAction.def	(revision eced82750b08684e216451cb9f7c05cde8e5fc42)
+++ src/Actions/MoleculeAction/SaveTemperatureAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -9,8 +9,11 @@
 class MoleculeListClass;
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)
+#define paramvalids (DummyValidator< boost::filesystem::path >())
 #define paramtokens ("save-temperature")
 #define paramdescriptions ("name of the temperature file to write to")
Index: src/Actions/MoleculeAction/SuspendInWaterAction.def
===================================================================
--- src/Actions/MoleculeAction/SuspendInWaterAction.def	(revision eced82750b08684e216451cb9f7c05cde8e5fc42)
+++ src/Actions/MoleculeAction/SuspendInWaterAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -9,8 +9,11 @@
 class MoleculeListClass;
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (double)
+#define paramvalids (DummyValidator< double >())
 #define paramtokens ("suspend-in-water")
 #define paramdescriptions ("desired final density")
Index: src/Actions/MoleculeAction/VerletIntegrationAction.def
===================================================================
--- src/Actions/MoleculeAction/VerletIntegrationAction.def	(revision eced82750b08684e216451cb9f7c05cde8e5fc42)
+++ src/Actions/MoleculeAction/VerletIntegrationAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -9,8 +9,11 @@
 class MoleculeListClass;
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)(double)(unsigned int)(bool)
+#define paramvalids (DummyValidator< boost::filesystem::path >())(DummyValidator< double >())(DummyValidator< unsigned int >())(DummyValidator< bool >())
 #define paramtokens ("verlet-integration")("deltat")("MDSteps")("keep-fixed-CenterOfMass")
 #define paramdescriptions ("perform verlet integration of a given force file")("time step width")("number of MDSteps to integrate")("whether forces and velocities shall be corrected such that center of mass remains at rest")